Debian fórum

Dotazy => Správa a instalace softwaru => Téma založeno: richard.bezak 21. 12. 2017, 21:05:42

Název: má prosím niekto skúsenosti s instaláciou eIDklient_install.sh ....?
Přispěvatel: richard.bezak 21. 12. 2017, 21:05:42
Pozdravujem, potrebujem poradiť s inštaláciou eIDklient_install.sh je to potrebné pre prihlásenie do elektronickej poštovej schránky na www.slovensko.sk Siel som podla príručky a výsledok bol tento:

salome@SALOME:~$ su
Heslo:
root@SALOME:/home/salome# ls
Dokumenty   Hudba    Plocha     Šablóny  Video
eID_klient  Obrázky  Stiahnuté  Verejné
root@SALOME:/home/salome# cd eID_klient/
root@SALOME:/home/salome/eID_klient# ls
eIDklient_install.sh       eIDklient_uninstall.sh
eidklient_i386_debian.deb
root@SALOME:/home/salome/eID_klient# ./eIDklient_install.sh
gdebi-core je nainštalovaný
Inštalujeme balík: eidklient_i386_debian.deb
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reading state information... Done
Tento balík nie je možné nainštalovať
Dependency is not satisfiable: libssl1.0.0

root@SALOME:/home/salome/eID_klient#
Název: Re:má prosím niekto skúsenosti s instaláciou eIDklient_install.sh ....?
Přispěvatel: Roman Horník 21. 12. 2017, 23:14:17
Jestliže v repu nemáš k dispozici balík libssl1.0.0, stáhni si pro svou architekturu balík libssl1.0.0 (https://packages.debian.org/jessie/libssl1.0.0) a nainstaluj ho:
# dpkg -i /cesta/k/balíku.deb
Je možný (nevím, co máš za vydání Debianu), že bude potřeba stejným způsobem postahovat další balíky, pokud nejsou v repu Tvýho vydání, nebo maj jinou verzi. To ovšem při větší dávce neopatrnosti může znamenat přeinstalování balíků jiný verze, kdy se může stát, že programy na nich závisející (včetně systémovejch) můžou buď blbnout, nebo přestanou fungovat úplně.